# Class: Progress

## $.oDialog. Progress

An simple progress dialog to

#### new $.oDialog.Progress(labelText, range, show)

openHarmony/openHarmony_dialog.js, line 210
  The $.dialog.Progress constructor.

  Name | Type | Description
  --- | --- | ---
  `labelText` | string | The path to the folder.
  `range` | string | The path to the folder.
  `show` | bool | Whether to immediately show the dialog.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `cancelled` | bool | Whether the progress bar was cancelled.

### Members

#### rangeint

  The range of the window.

#### show

  Shows the dialog.

#### textstring

  The text of the window.

#### valueint

  The current value of the window.